﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface ICarLogic
    {
        List<CarVM>? ReadList(CarSM model);
        CarVM? ReadElement(CarSM model);
        bool Create(CarBM model);
        bool Update(CarBM model);
        bool Delete(CarBM model);
    }
}
