﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface IRouteLogic
    {
        List<RouteVM>? ReadList(RouteSM model);
        RouteVM? ReadElement(RouteSM model);
        bool Create(RouteBM model);
        bool Update(RouteBM model);
        bool Delete(RouteBM model);
    }
}
