﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface ICarStorage
    {
        List<CarVM> GetFullList();
        List<CarVM> GetFilteredList(CarSM model);
        CarVM? GetElement(CarSM model);
        CarVM? Insert(CarBM model);
        CarVM? Update(CarBM model);
        CarVM? Delete(CarBM model);
    }
}
