﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface ICompanyStorage
    {
        List<CompanyVM> GetFullList();
        List<CompanyVM> GetFilteredList(CompanySM model);
        CompanyVM? GetElement(CompanySM model);
        CompanyVM? Insert(CompanyBM model);
        CompanyVM? Update(CompanyBM model);
        CompanyVM? Delete(CompanyBM model);
    }
}
