﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface IHumanStorage
    {
        List<HumanVM> GetFullList();
        List<HumanVM> GetFilteredList(HumanSM model);
        HumanVM? GetElement(HumanSM model);
        HumanVM? Insert(HumanBM model);
        HumanVM? Update(HumanBM model);
        HumanVM? Delete(HumanBM model);
    }
}
