﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface ICompanyLogic
    {
        List<CompanyVM>? ReadList(CompanySM model);
        CompanyVM? ReadElement(CompanySM model);
        bool Create(CompanyBM model);
        bool Update(CompanyBM model);
        bool Delete(CompanyBM model);
    }
}
