﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface IHumanLogic
    {
        List<HumanVM>? ReadList(HumanSM model);
        HumanVM? ReadElement(HumanSM model);
        bool Create(HumanBM model);
        bool Update(HumanBM model);
        bool Delete(HumanBM model);
    }
}
