﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface IPlaceLogic
    {
        List<PlaceVM>? ReadList(PlaceSM model);
        PlaceVM? ReadElement(PlaceSM model);
        bool Create(PlaceBM model);
        bool Update(PlaceBM model);
        bool Delete(PlaceBM model);
    }
}
