﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogic
{
    public interface IVoyageLogic
    {
        List<VoyageVM>? ReadList(VoyageSM model);
        VoyageVM? ReadElement(VoyageSM model);
        List<ReportHuman>? GetTopDrivers();
        bool Create(VoyageBM model);
        public List<ReportCompany>? GetCompanysPath();
        bool Delete(VoyageBM model);
    }
}
