﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface IPlaceStorage
    {
        List<PlaceVM> GetFullList();
        List<PlaceVM> GetFilteredList(PlaceSM model);
        PlaceVM? GetElement(PlaceSM model);
        PlaceVM? Insert(PlaceBM model);
        PlaceVM? Update(PlaceBM model);
        PlaceVM? Delete(PlaceBM model);
    }
}
