﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface IRouteStorage
    {
        List<RouteVM> GetFullList();
        List<RouteVM> GetFilteredList(RouteSM model);
        RouteVM? GetElement(RouteSM model);
        RouteVM? Insert(RouteBM model);
        RouteVM? Update(RouteBM model);
        RouteVM? Delete(RouteBM model);
    }
}
