﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface IStatusStorage
    {
        List<StatusVM> GetFullList();
        StatusVM? GetElement(StatusSM model);
        StatusVM? Insert(StatusBM model);
        StatusVM? Update(StatusBM model);
        StatusVM? Delete(StatusBM model);
    }
}
