﻿using Contracts.BindingModels;
using Contracts.SearchModel;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.Storage
{
    public interface IVoyageStorage
    {
        List<VoyageVM> GetFullList();
        List<VoyageVM> GetFilteredList(VoyageSM model);
        
        VoyageVM? GetElement(VoyageSM model);
        VoyageVM? Insert(VoyageBM model);
        
        VoyageVM? Delete(VoyageBM model);
        public List<ReportHuman> ReportHuman();
        public List<ReportCompany> ReportCompany();
    }
}
