﻿using DataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.ViewModels
{
    public class VoyageVM : IVoyage
    {
        public int? CarId { get; set; }
        [DisplayName("Машина")]
        public string? CarName { get; set; } = string.Empty;

        public int? HumanId { get; set; }
        [DisplayName("Водитель")]
        public string? HumanName { get; set; } = string.Empty;
        [DisplayName("Расстояние")]
        public int? Km { get; set; }
        public int? CompanyId { get; set; }
        [DisplayName("Заказчик")]
        public string CompanyName { get; set; } = string.Empty;
        [DisplayName("Маршрут")]
        public string? RouteName { get; set; } = string.Empty; 
        public int? RouteId { get; set; }
        [DisplayName("Дата выезда")]
        public DateOnly? DateStart { get; set; }
        [DisplayName("Срок")]
        public DateOnly? DateEnd { get; set; }
        [DisplayName("Номер")]
        public int Id { get; set; }
    }
}
